microsoft-foundry.rest.security.o-auth2-auth
Agent Session Files
Delete a session file
DELETE
/agents/{agent_name}/endpoint/sessions/{agent_session_id}/files
Deletes the specified file or directory from the session sandbox.
When recursive is false, deleting a non-empty directory returns 409 Conflict.
Padparameters
agent_name
string
vereist
The name of the agent.
agent_session_id
string
vereist
The session ID.
Queryparameters
path
string
vereist
The file or directory path to delete, relative to the session home directory.
recursive
boolean
Whether to recursively delete directory contents. The service defaults to false if a value is not specified by the caller.
api-version
string
vereist
The API version to use for this operation.
Antwoorden
There is no content to send for this request, but the headers may be useful.
Aanvraag
DELETE /agents/{agent_name}/endpoint/sessions/{agent_session_id}/files HTTP/1.1
Respons
Status: 204
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json